<!DOCTYPE html>
<html lang = "en">
    <!-- root tag -->
<head>
    <!-- our head contains metadata -->
    <title>Coin Flip</title>
    <meta charset="UTF-8"/>
    <!-- links to external CSS or internal css -->
    
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <link rel="stylesheet" type="text/css" href="styles.css"/>
    <link rel="icon" href="favIcon.png" type="image/icon type">
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">NPC</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="./home.html">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="./account.html">Account</a>
              </li>
              <!-- <li class="nav-item">
                <a id="register-a"class="nav-link active" aria-current="page" hidden href="./register.html">Register</a>
              </li>
              <li class="nav-item">
                <a id="login-a"class="nav-link active" aria-current="page" hidden href="./login.html">Login</a>
              </li> -->
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Games
                </a>
                <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <li><a class="dropdown-item" href="./rockpaperscissors.html">Rock Paper Scissors</a></li>
                  <li><a class="dropdown-item" href="./stockguessing.html">Stock Guessing Game</a></li>
                  <li><a class="dropdown-item" href="./coin-flip.html">Coin Flip  Game</a></li>

                </ul>
              </li>
              <li id="rules-button" class="nav-item">
                <!-- Button triggered modal with game rules -->
                <button type="button" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#exampleModal">
                    Rules
                  </button>
              </li>
            </ul>
            <ul class = "navbar-nav mb-2 mb-lg-0">
              <li class="nav-item d-flex">
                <button id="logout-button" type="button" class="btn btn-outline-danger">Log Out</button>
                <!-- <a id="logout-a"class="nav-link active" aria-current="page" hidden="false" href="#">Logout</a> -->
              </li>
            </ul>
        
          </div>
        </div>
      </nav>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Coin Flip</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            Take your pick of Heads or Tails, bet on which one you think the coin will land on!
          </div>
          <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
      </div>
      </div>
  </div>
    <br>
    <div class="container">
    <label for="betAmount" class="sr-only">Please enter the amount you want to bet</label>
    <input
      type="number"
      id="betAmount"
      name="betAmount"
      class="form-control"
      min="0"
      placeholder="0"
      pattern="\d*"
      autofocus=""
    />
    <button id = "play-button" class="btn btn-lg btn-primary btn-block">play</button>

    <div hidden id="bet-msg">Please</div>
    <br>
    <button id = "heads-button" value = 1 class="btn btn-outline-primary">heads</button>
    <button id = "tails-button" value = 2 class="btn btn-outline-danger">tails</button>
    <div hidden id="result-msg">You guessed it</div>

    </div>
    <script type="text/javascript"  src="./js/logout.js"></script>
    <script src="coin-flip.js"></script>
  </body>
</html>
